CYRIX(__drivermansuffix__)

NAME
cyrix - Cyrix video driver

SYNOPSIS
Section "Device"
  Identifier "devname"
  Driver "cyrix"
  ...
EndSection

DESCRIPTION
cyrix is an XFree86 driver for the Cyrix MediaGX (now Natsemi Geode) series of processors when using the built in video.

SUPPORTED HARDWARE
The cyrix driver supports the MediaGX, MediaGXi and MediaGXm processors, as well as the Natsemi 'Geode' branded processors. It supports the CS5510, CS5520, CS5530 and CS5530A companion chips. The driver supports 4, 8, 15 and 16 bit deep displays with video compression and acceleration.

The MediaGX run length compresses its shared framebuffer, for the best performance on a MediaGX machine pick backgrounds that compress well horizonally.

CONFIGURATION DETAILS
Please refer to XF86Config(__filemansuffix__) for general configuration details. This section only covers configuration details specific to this driver.

The following driver options are supported:

Option "NoAccel" "boolean"
    Disable or enable acceleration. Default: acceleration is enabled.

Option "SWCursor" "boolean"
    Disable or enable software cursor. Default: software cursor is enabled.

Option "HWCursor" "boolean"
    Disable or enable hardware cursor. Default: hardware cursor is disabled.

Option "ShadowFB" "boolean"
    Disable or enable shadow frame buffer. The shadow buffer is normally only used when rotating the screen. The default is false.

Option "Rotate" "CW"

Option "Rotate" "CCW"
    Rotate the display clockwise or counterclockwise for use on Cyrix based tablet PC systems. This mode is currently unaccelerated. Default: no rotation.

BUGS
This driver has not been tested on the original 5510 hardware for some considerable time.

8bit mode does not currently work on the CS5510 with external RAMDAC.

The 5530A video overlay facility is not currently supported.

XFree86 uses the MediaGX 'SoftVGA' interface. On a small number of boards this is buggy and may result in strange illegal instruction traps.

Hardware cursors are not currently supported.

SEE ALSO
XFree86(1), XF86Config(__filemansuffix__), xf86config(1), Xserver(1), X(__miscmansuffix__)

AUTHORS
Authors include: Richard Hecker, Annius Groenink, Dirk Hohndel, The GGI Project, Alan Cox.